fn main() {
    let workshops = vec![
        "Musikproduktion mit freier Software",
        "Linux Installations-Workshop",
        "CTF 101: Introduction to Capture the Flag Challenges",
        "Discovering rust with 25 examples",
        "Inkscape - ein vielseitiger Vektorgrafikeditor",
        "JOSM Workshop",
    ];

    for ws in workshops.iter() {
        println!("[normal iteration]\t{}", ws);
    }

    for (i, ws) in workshops.iter().enumerate() {
        println!("[enumerate #{i}]\t{ws}");
    }

    for (ws1, ws2) in workshops.iter().zip(workshops.iter()) {
        println!("[zip] do you prefer {ws1} over {ws2}?");
    }

    for ws in workshops.iter().skip(2) {
        println!("[skip 2]\t{}", ws);
    }

    for ws in workshops.iter().step_by(2) {
        println!("[step by 2]\t{}", ws);
    }



    println!("Hello, world!");
}
