fn main() {
    let mut help_was_supplied_as_argument = false;

    // for loop
    for arg in std::env::args() {
        // if statements
        if arg == "--help" {
            help_was_supplied_as_argument = true;
        }
        if arg == "-h" {
            help_was_supplied_as_argument = true;
        }
    }

    // if statement with else
    if help_was_supplied_as_argument {
        eprintln!("usage: ./program [-h | --help]");

    } else {
        // variables inside the else-scope
        let mut next_argument_is_i = false;
        let mut iterations: i32 = 0;

        // another for loop
        for arg in std::env::args() {
            // if statements with "else if"
            if arg == "-i" {
                next_argument_is_i = true;
            } else if next_argument_is_i {
                iterations = arg.parse().unwrap();
            }
        }

        // while loop
        let mut i = 0;
        while i < iterations {
            println!("iteration in while loop");
            i = i + 1;
        }

        // infinite loop with a break statement
        let mut j = iterations;
        loop {
            let stop_next = if j == 0 { break } else if j == 1 { true } else { false };
            println!("iteration in loop - stops next? {}", if stop_next { "yes" } else { "no" });
            j = j - 1;
        }
    }
}
