trait Censorship {
    fn censor(&self, text: &str) -> String;
}

struct AustrianCensorship {
    forbidden_words: Vec<String>,
}

impl AustrianCensorship {
    fn new() -> AustrianCensorship {
        AustrianCensorship { forbidden_words: vec![] }
    }

    fn forbid(&mut self, word: &str) {
        self.forbidden_words.push(word.to_string());
    }
}

impl Censorship for AustrianCensorship {
    // TODO implement method of trait
    /*
        let mut censored = text.to_string();
        for word in &self.forbidden_words {
            censored = censored.replace(word, &"*".repeat(word.chars().count()));
        }
        censored
    */
}

fn main() {
    let mut deny_list = AustrianCensorship::new();
    deny_list.forbid("scheiße");
    deny_list.forbid("Arsch");
    deny_list.forbid("fuck");
    
    println!("{}", deny_list.censor("It shows bad demeanor to say 'scheiße', 'Arsch', and 'fuck' in Austria"));
}
