use std::fmt::Display;

struct Submission<D: Display> {
    title: String,
    speaker: String,
    duration: D,
}

impl<D: Display> Submission<D> {
    fn start(&self) {
        println!("the submission '{}' by '{}' has started and will take {} hours", self.title, self.speaker, self.duration)
    }
}

fn main() {
    let submission1 = Submission {
        title: "Linux Installations-Workshop".to_string(),
        speaker: "Mihai Ghețe".to_string(),
        duration: 2.83
    };
    submission1.start();

    let submission2 = Submission {
        title: "Discovering rust with 25 examples".to_string(),
        speaker: "Lukas Prokop".to_string(),
        duration: "2.83 or 3"
    };
    submission2.start();
}
