fn print_events(events: Vec<&str>) {
    println!("{:?}", events);
}

fn print_referenced_events(events: &Vec<&str>) {
    println!("{:?}", events);
}

fn add_and_print_event(mut events: Vec<&str>) {
    events.push("Chemnitzer Linuxtage");
    println!("{:?}", events);
}

fn add_and_print_referenced_event(events: &mut Vec<&str>) {
    events.push("Chemnitzer Linuxtage");
    println!("{:?}", events);
}

fn add_and_return_event(mut events: Vec<&str>) -> Vec<&str> {
    events.push("Chemnitzer Linuxtage");
    events
}

fn main() {
    {
        let events = vec!["Grazer Linuxtage"];
        print_events(events);
    }

    {
        let events = vec!["Grazer Linuxtage"];
        print_referenced_events(&events);
    }

    {
        let events = vec!["Grazer Linuxtage"];
        add_and_print_event(events);
    }

    {
        let mut events = vec!["Grazer Linuxtage"];
        add_and_print_referenced_event(&mut events);
    }

    {
        let events = vec!["Grazer Linuxtage"];
        let mut more_events = add_and_return_event(events);
        more_events.push("FOSDEM");
        println!("{:?}", more_events);
    }
}
